#
# spec file for package extreme-tuxracer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oname   etr

Name:           extreme-tuxracer
Version:        0.7.4
Release:        lp152.3.8
Summary:        Open source racing game featuring Tux the Linux Penguin
License:        GPL-2.0+
Group:          Amusements/Games/3D/Race
%global pkgsummary %summary
Url:            http://sourceforge.net/projects/extremetuxracer/
Source:         http://downloads.sourceforge.net/extremetuxracer/%{oname}-%{version}.tar.xz
# PATCH-FEATURE-UPSTREAM https://sourceforge.net/p/extremetuxracer/discussion/general/thread/2b8a9772/
Source2:        etr.appdata.xml
BuildRequires:  gcc-c++
BuildRequires:  libpng-devel
BuildRequires:  libtool
BuildRequires:  sfml2-devel
BuildRequires:  pkgconfig(freetype2)

%if 0%{?sles_version}
BuildRequires:  Mesa-devel
BuildRequires:  xorg-x11-libXmu-devel
BuildRequires:  xorg-x11-libXt-devel
%else
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)
%endif
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Extreme Tux Racer is an open source racing game featuring Tux
the Linux Penguin. Extreme Tux Racer continues in the tracks
of Tux Racer and its forks.

%prep
%setup -q -n %{oname}-%{version}

%build
autoreconf -fi

%configure
make %{?_smp_mflags}

%install
%make_install

%if 0%{?suse_version}
    %suse_update_desktop_file %{oname}
    %fdupes -s %{buildroot}%{_prefix}
%endif

# Already included by the doc macro
rm -fr %{buildroot}%{_datadir}/doc

install -Dm0644 %{S:2} %{buildroot}%{_datadir}/appdata/etr.appdata.xml

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS doc/code doc/courses_events doc/guide doc/score_algorithm
%{_bindir}/%{oname}
%{_datadir}/%{oname}/
%{_datadir}/pixmaps/%{oname}.png
%{_datadir}/pixmaps/%{oname}.svg
%{_datadir}/applications/%{oname}.desktop
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{oname}.appdata.xml

%changelog
* Sat Feb 18 2017 mailaender@opensuse.org
- Update to version 0.7.4
- Add appdata.xml for https://en.opensuse.org/openSUSE:AppStore
* Sun Jul 24 2016 nemysis@openSUSE.org
- Update to 0.7.3, please see
  /usr/share/doc/packages/extreme-tuxracer/NEWS
* Fri Apr 15 2016 nemysis@openSUSE.org
- Update to 0.7.2, please see
  /usr/share/doc/packages/extreme-tuxracer/NEWS
* Thu Feb  4 2016 nemysis@openSUSE.org
- Update to 0.7.1, please see
  /usr/share/doc/packages/extreme-tuxracer/NEWS
* Wed Feb  3 2016 nemysis@openSUSE.org
- Update to 0.7.0, please see
  /usr/share/doc/packages/extreme-tuxracer/NEWS
- license update: GPL-2.0+ No indication that this is GPL-2.0 (only)
- Remove BuildRequires, changed by Upstream for dos2unix,
  pkgconfig(SDL_image), pkgconfig(SDL_mixer and pkgconfig(sdl)
- Add BuildRequires, changed by Upstream for sfml2-devel
- Add NEWS to Documentation
* Wed Sep 23 2015 nemysis@openSUSE.org
- Use %%{oname} instead of etr
- Change URL
- Use BuildRequires pkgconfig() instead of devel packages
- Add BuildRequires for dos2unix
- Change Description
- Use default autoreconf -fi and %%make_install
- Use for suse_update_desktop_file and fdupes %%if 0%%{?suse_version}
* Mon Jan 12 2015 p.drouand@gmail.com
- Update to version 0.6.0
  + No changelog available; new maitainers
- Add SDL_image-devel requirement; new upstream dependency
- Remove some hacks; upstream provide his own desktop file
- Include AUTHORS, COPYING and development related documentation
  in the package
- Remove tcl-devel requirement; the Tcl scripting library has been
  completely replaced with the SP library
- Remove obsolete patches
  + avp.patch
  + libpng14.patch
* Sat Dec  6 2014 schwab@linux-m68k.org
- Fix GenericName in desktop file
* Mon Jan 28 2013 joop.boonen@opensuse.org
- Added missing BuildRequirement libXi-devel libXmu-devel libXt-devel
- Cleaned the spec file up
* Tue Sep 18 2012 idonmez@suse.com
- Add explicit glu dependency
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
* Thu Apr  8 2010 pgajdos@suse.cz
- build with new libpng14
* Tue Mar  9 2010 adam@mizerski.pl
- added creation of desktop file (/usr/share/applications/etracer.desktop)
- in BuildRequires removed unnneded linux-kernel-headers
- fixed symlink /usr/bin/extreme-tuxracer -> etracer
- added missing %%clean section
- removed changelog from spec, since it should be only in this (extreme-tuxracer.changes) file
- fixed misspellings in description
* Tue Jun  2 2009 mmaher@suse.de
- fixed bug 443377
* Wed Sep 24 2008 jw@suse.de
- added /usr/bin/extreme-tuxracer as a convenience symlink.
* Mon Jan 28 2008 mmaher@suse.de
- Updated to 0.4
  * new Graphics
  * new Sounds
  * new Maps
  * new Specials
  * Some bugs fixed
* Tue Oct  2 2007 mmaher@suse.de
- initial Build
